### Virtual Method

# Gtk CellAreaforeach_alloc

#### Declaration [src]

    void
    foreach_alloc (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      const GdkRectangle* background_area,
      GtkCellAllocCallback callback,
      gpointer callback_data
    )

#### Description [src]

Calls `callback` for every `GtkCellRenderer` in `area` with the allocated rectangle inside `cell_area`.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context for this row of data.

  The data is owned by the caller of the function.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering to.

  The data is owned by the caller of the function.

`cell_area`

  Type: `GdkRectangle`

  The `widget` relative coordinates and size for `area`.

  The data is owned by the caller of the function.

`background_area`

  Type: `GdkRectangle`

  The `widget` relative coordinates of the background area.

  The data is owned by the caller of the function.

`callback`

  Type: `GtkCellAllocCallback`

  The `GtkCellAllocCallback` to call.

`callback_data`

  Type: `gpointer`

  User provided data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.